=== modified file 'bzrlib/plugins/grep/cmds.py'
--- bzrlib/plugins/grep/cmds.py	2011-12-20 15:39:20 +0000
+++ bzrlib/plugins/grep/cmds.py	2012-08-02 10:38:21 +0000
@@ -147,12 +147,12 @@
             path_list=None, revision=None, pattern=None, include=None,
             exclude=None, fixed_string=False, files_with_matches=False,
             files_without_match=False, color=None, diff=False):
+        from bzrlib import termcolor
         from bzrlib.plugins.grep import (
             grep,
-            termcolor,
             )
         import re
-        if path_list == None:
+        if path_list is None:
             path_list = ['.']
         else:
             if from_root:
@@ -236,14 +236,14 @@
         GrepOptions.outf = self.outf
         GrepOptions.show_color = show_color
 
-        if diff == True:
+        if diff:
             # options not used:
             # files_with_matches, files_without_match
             # levels(?), line_number, from_root
             # include, exclude
             # These are silently ignored.
             grep.grep_diff(GrepOptions)
-        elif revision == None:
+        elif revision is None:
             grep.workingtree_grep(GrepOptions)
         else:
             grep.versioned_grep(GrepOptions)

=== removed file 'bzrlib/plugins/grep/features.py'
--- bzrlib/plugins/grep/features.py	2012-06-29 08:24:02 +0000
+++ bzrlib/plugins/grep/features.py	1970-01-01 00:00:00 +0000
@@ -1,33 +0,0 @@
-# Copyright (C) 2010 Canonical Ltd
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-"""'Features' which are used to skip tests."""
-
-from __future__ import absolute_import
-
-from bzrlib.tests.features import Feature
-from bzrlib.plugins.grep.termcolor import allow_color
-
-class _ColorFeature(Feature):
-
-    def _probe(self):
-        return allow_color()
-
-    def feature_name(self):
-        return "Terminal supports color."
-
-color_feature = _ColorFeature()
-
-

=== modified file 'bzrlib/plugins/grep/grep.py'
--- bzrlib/plugins/grep/grep.py	2012-07-30 17:30:10 +0000
+++ bzrlib/plugins/grep/grep.py	2012-08-02 10:38:21 +0000
@@ -24,15 +24,12 @@
 import re
 from cStringIO import StringIO
 
-from bzrlib.plugins.grep.termcolor import color_string, re_color_string, FG
+from bzrlib.termcolor import color_string, re_color_string, FG
 
-from bzrlib.workingtree import WorkingTree
-from bzrlib.revision import Revision
 from bzrlib.revisionspec import (
     RevisionSpec,
     RevisionSpec_revid,
     RevisionSpec_revno,
-    RevisionInfo,
     )
 from bzrlib import (
     bzrdir,
@@ -41,12 +38,10 @@
     lazy_regex,
     osutils,
     revision as _mod_revision,
-    textfile,
     trace,
     )
 """)
 
-_terminal_encoding = osutils.get_terminal_encoding()
 _user_encoding = osutils.get_user_encoding()
 
 
@@ -141,6 +136,7 @@
 class _GrepDiffOutputter(object):
     """Precalculate formatting based on options given for diff grep.
     """
+
     def __init__(self, opts):
         self.opts = opts
         self.outf = opts.outf
@@ -232,7 +228,7 @@
         if len(opts.revision) == 2:
             end_rev = opts.revision[1]
             end_revid = end_rev.as_revision_id(branch)
-            if end_revid == None:
+            if end_revid is None:
                 end_revno, end_revid = branch.last_revision_info()
             erevno_tuple = branch.revision_id_to_dotted_revno(end_revid)
 
@@ -312,7 +308,7 @@
     try:
         start_rev = opts.revision[0]
         start_revid = start_rev.as_revision_id(branch)
-        if start_revid == None:
+        if start_revid is None:
             start_rev = RevisionSpec_revno.from_string("revno:1")
             start_revid = start_rev.as_revision_id(branch)
         srevno_tuple = branch.revision_id_to_dotted_revno(start_revid)
@@ -320,7 +316,7 @@
         if len(opts.revision) == 2:
             end_rev = opts.revision[1]
             end_revid = end_rev.as_revision_id(branch)
-            if end_revid == None:
+            if end_revid is None:
                 end_revno, end_revid = branch.last_revision_info()
             erevno_tuple = branch.revision_id_to_dotted_revno(end_revid)
 
@@ -447,7 +443,7 @@
                     to_grep_append((fid, (fp, fid)))
             else:
                 # we are grepping working tree.
-                if from_dir == None:
+                if from_dir is None:
                     from_dir = '.'
 
                 path_for_file = osutils.pathjoin(tree.basedir, from_dir, fp)

=== modified file 'bzrlib/plugins/grep/test_grep.py'
--- bzrlib/plugins/grep/test_grep.py	2012-06-29 08:24:02 +0000
+++ bzrlib/plugins/grep/test_grep.py	2012-08-02 10:38:21 +0000
@@ -20,12 +20,13 @@
 import re
 import unicodedata as ud
 
-from bzrlib.plugins.grep import features
-from bzrlib.plugins.grep.termcolor import color_string, FG
-
 from bzrlib import tests, osutils
+from bzrlib.termcolor import color_string, FG
 
-from bzrlib.tests.features import UnicodeFilenameFeature
+from bzrlib.tests.features import (
+    ColorFeature,
+    UnicodeFilenameFeature,
+    )
 
 # NOTE: As bzr-grep optimizes PATTERN search to -F/--fixed-string
 # for patterns that are not alphanumeric+whitespace, we test grep
@@ -1988,7 +1989,7 @@
     """Tests for the --color option."""
 
     # GZ 2010-06-05: Does this really require the feature? Nothing prints.
-    _test_needs_features = [features.color_feature]
+    _test_needs_features = [ColorFeature]
 
     _rev_sep = color_string('~', fg=FG.BOLD_YELLOW)
     _sep = color_string(':', fg=FG.BOLD_CYAN)

=== renamed file 'bzrlib/plugins/grep/termcolor.py' => 'bzrlib/termcolor.py'
=== modified file 'bzrlib/tests/features.py'
--- bzrlib/tests/features.py	2012-03-09 16:48:55 +0000
+++ bzrlib/tests/features.py	2012-08-02 10:38:21 +0000
@@ -492,3 +492,15 @@
 
 
 win32_feature = Win32Feature()
+
+
+class _ColorFeature(Feature):
+
+    def _probe(self):
+        from bzrlib.termcolor import allow_color
+        return allow_color()
+
+    def feature_name(self):
+        return "Terminal supports color."
+
+ColorFeature = _ColorFeature()

